=== external/libcsoup/smm/Makefile ===

CFLAGS	+= -I..

OBJS	= smm_alloc.o		\
	  smm_chdir.o		\
	  smm_codepage.o	\
	  smm_config.o		\
	  smm_cwd_alloc.o	\
	  smm_cwd_pop.o		\
	  smm_cwd_push.o	\
	  smm_filesize.o	\
	  smm_fontpath.o	\
	  smm_fopen.o		\
	  smm_fstat.o		\
	  smm_init.o		\
	  smm_lstat.o		\
	  smm_mkdir.o		\
	  smm_wcstombs.o	\
	  smm_pathtrek.o	\
	  smm_pwuid.o		\
	  smm_rename.o		\
	  smm_signal_break.o	\
	  smm_sleep.o		\
	  smm_time_diff.o	\
	  smm_time_get_epoch.o	\
	  smm_userpath.o	\
	  smm_mbstowcs.o

.PHONY: all clean
	
all: $(OBJS)

clean:
	$(RM) $(OBJS)
