## ezthumb 3.6.7+ds1

=== debian/changelog ===
ezthumb (3.6.7+ds1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Corrected Lintian errors in control and copyright file

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Tue, 22 Oct 2019 16:55:49 -0400

ezthumb (3.6.7+ds1-0.1~mx17+1) mx; urgency=medium

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 17 Jan 2019 10:05:05 -0800
