=== debian/control ===
Source: ezthumb
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libavformat-dev,
               libbz2-dev,
               libfreetype6-dev,
               libgd-dev,
               libgtk2.0-dev,
               libjpeg-dev,
               libpng-dev,
               libswscale-dev,
Standards-Version: 3.9.8
Homepage: https://sourceforge.net/projects/ezthumb/

Package: ezthumb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: video thumbnail generator based on FFMPEG
 EZthumb uses ffmpeg to scan a video file, take a bunch of screenshot-like 
 samples, resize them to thumbnail-size, then make a contact sheet/montage image
 from them, along with some technical info about the video (size, length,
 resolution, codecs) in text in the upper-left corner.
 .
    Supports almost any video format include x265.
    Output JPG, PNG or GIF format.
    Supports generating transparent PNG or GIF.
    Supports generating Animated GIF.
    Supports generating all thumbnails in one canvas, or individual thumbnails.
    Supports batch processing in command line.
    Supports both command line tool and a lightweight GUI application.
    Cross platform design support Linux/Windows XP/Windows 7 (Win32 API).
    Using IUP portable UI library to gain the native GUI feeling.
    Written in C and FFMPEG, as well as libav, API.
